// widgets spacing
$widget-bottom-margin: 45px;
$widget-bottom-padding: 15px;
$widget-inner-padding: 15px;

// widget color
$widget-background-color: #eeeeee;

// list items dimensions
$widget-list-item-height: 20px;
$widget-list-item-padding: 15px;

// list items color
$widget-list-item-background-color: #ffffff;

// list items border
$widget-list-item-border-color: $default-border-color;
$widget-list-item-border-width: 1px;
$widget-list-item-border-style: solid;

// text
$widget-text-color: inherit;
$widget-heading-color: inherit;

// links
$widget-link-color: $first-main-color;
$widget-link-hover-color: darken($default-text-color, 35%);

// specific widgets
$widget-search-form-height: 52px;
$widget-tag-cloud-height: 30px;

aside.mkdf-sidebar {
    position: relative;
    z-index: 11;



    .widget {
        color: $default-text-color;

        &.widget_text {
            .mkdf-anchor-menu {
                ul {
                    li {
                        padding: 4px 0;
                        a {
                            font-size: 14px;
                            color: $default-text-color;
                        }
                        &:hover {
                            a {
                                color: $first-main-color;
                            }
                        }
                    }
                }
            }
        }

        &:last-child {
            margin: 0 !important;
        }
        &.widget_nav_menu {
            ul {
                > li {
                    padding-top: 23px;
                    &:first-child {
                        padding-top: 4px;
                    }
                    &.menu-item-has-children {
                        > a {
                            font-family: $default-heading-font;
                            font-size: 16px;
                            color: #323232;
                            font-weight: 700;

                            &:hover,
                            &.mkdf-custom-menu-active {
                                color: $first-main-color;
                            }

                            &:before {
                                font-family: Linearicons-Free;
                                content: "\e876";
                                color: $first-main-color;
                                margin-right: 13px;
                                display: inline-block;
                            }

                            &.mkdf-custom-menu-active {
                                &:before {
                                    @include mkdfTransform(rotate(90deg));
                                }
                            }
                        }
                    }

                    ul.sub-menu {
                        border-top: none;
                        padding-left: 30px;
                        margin-top: 15px;
                        display: none;
                        li {
                            padding: 3px 0;
                            &.current-menu-item,
                            &:hover{
                                > a {
                                    color: $first-main-color;
                                }
                            }
                            a {
                                font-family: $default-text-font;
                                color: #929292;
                                font-size: 14px;
                                font-weight: 500;
                            }
                        }
                    }
                }
            }
        }
    }
}
.wpb_widgetised_column {
    position: relative;

    .widget {

        .mkdf-sidearea-widget-title {
            margin: 0 0 19px;
        }

        &:last-child {
            margin: 0 !important;
        }

        &.widget_nav_menu {
            ul {
                > li {
                    padding-top: 28px;
                    &.menu-item-has-children {
                        > a {
                            font-family: $default-heading-font;
                            font-size: 16px;
                            color: #323232;
                            font-weight: 700;
                            &:before {
                                font-family: Linearicons-Free;
                                content: "\e876";
                                color: $first-main-color;
                                margin-right: 13px;
                                display: inline-block;
                            }
                        }
                    }
                    &:hover,
                    &.current-menu-ancestor{
                        > a {
                            &:before {
                               @include  mkdfTransform(rotate(90deg));
                            }
                        }
                        ul.sub-menu{
                            display: block;
                        }
                    }

                    ul.sub-menu {
                        border-top: none;
                        padding-left: 30px;
                        margin-top: 13px;
                        display: none;
                        li {
                            padding: 4px 0;
                            &.current-menu-item,
                            &:hover{
                                a {
                                    color: $first-main-color;
                                }
                            }
                            a {
                                font-family: $default-text-font;
                                color: #929292;
                                font-size: 14px;
                                font-weight: 600;
                            }
                        }
                    }
                }
            }
        }
    }
}